# stdout

![](https://1982584918-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LR7OsqPORtP86IQxs6E-694727794%2Fuploads%2Fgit-blob-7073bf93e4347169880cddb314881a70e30ea625%2Fstdout.png?alt=media)

The `stdout` output plugin prints events to the standard output (or logs if launched as a daemon). This output plugin is useful for debugging purposes.

It is included in Fluentd's core.

## Example Configuration

```
<match pattern>
  @type stdout
</match>
```

Please see the [Config File](https://docs.fluentd.org/configuration/config-file) article for the basic structure and syntax of the configuration file.

Sample output:

```
2017-11-28 11:43:13.814351757 +0900 tag: {"field1":"value1","field2":"value2"}
```

where the first part shows the output `time`, the second part shows the `tag`, and the third part shows the `record`.

## Supported Modes

* Non-Buffered
* Synchronous

## Plugin Helpers

* [`inject`](https://docs.fluentd.org/plugin-helper-overview/api-plugin-helper-inject)
* [`formatter`](https://docs.fluentd.org/plugin-helper-overview/api-plugin-helper-formatter)
* [`compat_parameters`](https://docs.fluentd.org/plugin-helper-overview/api-plugin-helper-compat_parameters)

## Parameters

[Common Parameters](https://docs.fluentd.org/configuration/plugin-common-parameters)

### `@type`

The value must be `stdout`.

### `use_logger`

| type | default | version |
| ---- | ------- | ------- |
| bool | true    | 1.19.0  |

If [Fluentd logger](https://docs.fluentd.org/deployment/logging) outputs logs to a file, this plugin outputs events to the file as well.

If setting `false`, this plugin outputs events to STDOUT independently of Fluentd logger.

### `<buffer>` Section

See [Buffer Section Configurations](https://docs.fluentd.org/configuration/buffer-section) for more details.

#### `chunk_keys`

| type  | default | version |
| ----- | ------- | ------- |
| array | tag     | 0.14.5  |

Overwrites the default value in this plugin.

#### `flush_at_shutdown`

| type | default | version |
| ---- | ------- | ------- |
| bool | true    | 0.14.5  |

Overwrites the default value in this plugin.

#### `chunk_limit_size`

| type | default | version |
| ---- | ------- | ------- |
| size | 10240   | 0.14.5  |

Overwrites the default value in this plugin.

### `<format>` Section

See [Format Section Configurations](https://docs.fluentd.org/configuration/format-section) for more details.

#### `@type`

| type   | default | version |
| ------ | ------- | ------- |
| string | stdout  | 0.14.5  |

The format of the output.

#### `output_type`

| type   | default | version |
| ------ | ------- | ------- |
| string | json    | 0.14.5  |

This is the option for the `stdout` format. Configure the format of the record (third part). Any formatter plugins can be specified.

### `<inject>` Section

See [Inject Section Configurations](https://docs.fluentd.org/configuration/inject-section) for more details.

If this article is incorrect or outdated, or omits critical information, please [let us know](https://github.com/fluent/fluentd-docs-gitbook/issues?state=open). [Fluentd](http://www.fluentd.org/) is an open-source project under [Cloud Native Computing Foundation (CNCF)](https://cncf.io/). All components are available under the Apache 2 License.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentd.org/output/stdout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
